import request from '@/core/utils/request'

// 创建
export function create (data) {
  return request.post('/system/icon/create', data)
}

// 根据ID删除
export function deleteById (id) {
  return request.get(`/system/icon/delete/${id}`)
}

// 批量删除
export function deleteByIdInBatch (ids) {
  return request.get('/system/icon/delete/batch', {
    params: {
      ids
    }
  })
}

// 根据ID修改
export function updateById (data) {
  return request.post('/system/icon/updateById', data)
}

// 分页查询
export function fetchPage (data) {
  return request.post('/system/icon/page', data)
}

// 查询所有图标
export function fetchAll (data) {
  return request.get('/system/icon/all', data)
}
